| Flutter Windows Embedder |

Public Member Functions | Protected Member Functions | List of all members
flutter::testing::CursorHandlerTest Class Reference
Inheritance diagram for flutter::testing::CursorHandlerTest:

## Public Member Functions
| CursorHandlerTest ()=default
virtual | ~CursorHandlerTest ()=default

## Protected Member Functions
FlutterWindowsEngine * | engine ()
FlutterWindowsView * | view ()
MockWindowBindingHandler * | window ()
void | use_headless_engine ()
void | use_engine_with_view ()

## Detailed Description

Definition at line 56 of file cursor_handler_unittests.cc.

## Constructor & Destructor Documentation

## ◆ CursorHandlerTest()

flutter::testing::CursorHandlerTest::CursorHandlerTest | ( |  | ) |
| default

## ◆ ~CursorHandlerTest()

virtual flutter::testing::CursorHandlerTest::~CursorHandlerTest | ( |  | ) |
| virtual default

## Member Function Documentation

## ◆ engine()

FlutterWindowsEngine* flutter::testing::CursorHandlerTest::engine | ( |  | ) |
| inline protected

Definition at line 62 of file cursor_handler_unittests.cc.

62 { return engine_.get(); }

## ◆ use_engine_with_view()

void flutter::testing::CursorHandlerTest::use_engine_with_view | ( |  | ) |
| inline protected

Definition at line 72 of file cursor_handler_unittests.cc.

72 {
73 FlutterWindowsEngineBuilder builder{GetContext()};
74
75 auto window = std::make_unique<MockWindowBindingHandler>();
76
77 window_ = window.get();
78 EXPECT_CALL(*window_, SetView).Times(1);
79 EXPECT_CALL(*window_, GetRenderTarget).WillOnce(Return(nullptr));
80
81 engine_ = builder.Build();
82 view_ = std::make_unique<FlutterWindowsView>(std::move(window));
83
84 engine_->SetView(view_.get());
85 }

References window().

## ◆ use_headless_engine()

void flutter::testing::CursorHandlerTest::use_headless_engine | ( |  | ) |
| inline protected

Definition at line 66 of file cursor_handler_unittests.cc.

66 {
67 FlutterWindowsEngineBuilder builder{GetContext()};
68
69 engine_ = builder.Build();
70 }

## ◆ view()

FlutterWindowsView* flutter::testing::CursorHandlerTest::view | ( |  | ) |
| inline protected

Definition at line 63 of file cursor_handler_unittests.cc.

63 { return view_.get(); }

## ◆ window()

MockWindowBindingHandler* flutter::testing::CursorHandlerTest::window | ( |  | ) |
| inline protected

Definition at line 64 of file cursor_handler_unittests.cc.

64 { return window_; }

Referenced by use_engine_with_view().

The documentation for this class was generated from the following file:

- shell/platform/windows/cursor_handler_unittests.cc

flutter::testing::CursorHandlerTest::window
MockWindowBindingHandler * window()
Definition: cursor_handler_unittests.cc:64